メインコンテンツへ移動
Nowledge MemNowledge Mem

隣接ノードの展開

GET
/graph/expand/{node_id}

特定のノードの隣接ノードを展開し、深度ベースの走査で接続されたノードとエッジを取得します。

パスパラメータ

node_id*ノードID

クエリパラメータ

depth?深度

展開深度

Range1 <= value <= 5
Default1
limit?上限

返す隣接ノードの最大数

Range1 <= value <= 100
Default50
include_metadata?メタデータを含める

結果にメタデータを含める

Defaulttrue
space_id?|

グラフ用の任意のメモリスペースレンズ

レスポンスボディ

application/json

application/json

curl -X GET "https://example.com/graph/expand/string"
{  "center_node": "string",  "depth": 0,  "neighbors": [    null  ],  "edges": [    null  ],  "total_neighbors": 0,  "total_edges": 0,  "metadata": {    "expansion_depth": 0,    "max_limit": 0,    "include_metadata": true,    "query_type": "string",    "error": "string"  }}